clear
PSM = 3; %%% Type of pricing mechanism
m = 987; %%% Numbere of banks
n = 12;  %%% Number of core banks
t=22;    %%% Minimum weight of trade
NumberOfShocks = 78;  %%% Number of shocks

%%%% Form the trading relationship
TR = FormationOfTR(m,n);

%%%% Initial private value
PV = rand(size(TR,1),1);

%%%% Interation for equilibrium redogenous value
EEV = EquilEV(PSM,TR,PV);

%%%% Endowment of liquidity
EndowOfLiquidity = EndowmentOfLiquidity(TR);

%%%% Trade caused by the shocks
[CumulativeTradeVol FinalTradeMatrix TradingNetwork] = EVwithShocks(t,NumberOfShocks,PSM,EEV,TR,EndowOfLiquidity);

%%%% Key benchmarks
MaxLender = max(sum(FinalTradeMatrix,1))
MaxBorrower = max(sum(FinalTradeMatrix,2))
density = sum(sum(FinalTradeMatrix))/(m*(m-1))